> For the complete documentation index, see [llms.txt](https://docs.complycube.com/documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.complycube.com/documentation/api-reference/tools/company-search/search-company.md).

# Search company

Searches for a company by name and incorporation country and returns a list of matching companies and [summary details](#the-company-summary-object).

To retrieve all available data for a given company, use the [get company details](/documentation/api-reference/tools/company-search/get-company-details.md) endpoint.

### URL

<mark style="color:green;">**POST**</mark> `https://api.complycube.com/v1/lookup/companies`

### Headers

<table><thead><tr><th width="287">Name</th><th width="93">Type</th><th>Description</th></tr></thead><tbody><tr><td>﻿﻿<code>Authorization</code><mark style="color:red;">*</mark></td><td>string</td><td>The API <code>live</code> or <code>test</code> key.</td></tr><tr><td>﻿﻿<code>Content-Type</code><mark style="color:red;">*</mark></td><td>string</td><td>The content-type must always be set to <code>application/json</code>.</td></tr></tbody></table>

### Body

<table><thead><tr><th width="286">Name</th><th width="94">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>companyName</code><mark style="color:red;">*</mark></td><td>string</td><td>The incorporation name of the company.</td></tr><tr><td><code>incorporationCountry</code><mark style="color:red;">*</mark></td><td>string</td><td>The company's incorporation country. This will be the <a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2">two-letter country ISO code</a>.</td></tr></tbody></table>

### Example request

{% tabs %}
{% tab title="cURL" %}

```bash
curl -X POST https://api.complycube.com/v1/lookup/companies \
     -H 'Authorization: <YOUR_API_KEY>' \
     -H 'Content-Type: application/json' \
     -d '{
               "companyName": "Stripe Payments Europe Limited",
               "incorporationCountry": "IE"
        }'
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const { ComplyCube } = require("@complycube/api");

const complycube = new ComplyCube({ apiKey: "<YOUR_API_KEY>" });

const client = await complycube.lookup.searchCompany({
  companyName: "Stripe Payments Europe Limited",
  incorporationCountry: "IE"
});
```

{% endtab %}
{% endtabs %}

### The Company summary object

<table><thead><tr><th width="278.3923420878289">Attribute</th><th width="96.32306065248454">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The unique identifier for a company.</td></tr><tr><td><code>name</code></td><td>string</td><td>The registered name of the company.</td></tr><tr><td><code>registrationNumber</code></td><td>string</td><td>The registration number of the company.</td></tr><tr><td><code>incorporationCountry</code></td><td>string</td><td>The incorporation country of the company.</td></tr><tr><td><code>incorporationDate</code></td><td>string</td><td>The date the company was incorporated. The format is <code>YYYY-MM-DD</code>.</td></tr><tr><td><code>incorporationType</code></td><td>string</td><td>The incorporation type of the company.</td></tr><tr><td><code>address</code></td><td>object</td><td>The structured address of the company.</td></tr><tr><td><code>active</code></td><td>boolean</td><td>Indicates if a company is active.</td></tr><tr><td><code>sourceUrl</code></td><td>string</td><td>The source URL from which the data was obtained.</td></tr><tr><td><code>createdAt</code></td><td>string</td><td>The date and time when the company record was created at source.</td></tr><tr><td><code>updatedAt</code></td><td>string</td><td>The date and time when the company record was updated at source.</td></tr></tbody></table>

### Example response

{% tabs %}
{% tab title="Success (200)" %}

```json
 {
     "totalItems": 1,
     "items": [
        {
            "id": "69655f5f353133313734",
            "name": "STRIPE PAYMENTS EUROPE, LIMITED",
            "registrationNumber": "513174",
            "incorporationCountry": "IE",
            "incorporationDate": "2012-05-15",
            "incorporationType": "LTD - Private Company Limited by Shares",
            "sourceUrl": "http://www.cro.ie/search/CompanyDetails.aspx?id=513174&type=C",
            "active": true,
            "createdAt": "2012-06-03T05:18:48+00:00",
            "updatedAt": "2021-10-22T17:38:46+00:00",
            "address": {
                "line": "C/O A&L GOODBODY, IFSC, NORTH WALL QUAY, DUBLIN 1.",
                "country": "IE",
                "fullAddress": "C/O A&L GOODBODY, IFSC, NORTH WALL QUAY, DUBLIN 1."
            }
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.complycube.com/documentation/api-reference/tools/company-search/search-company.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
